## MicroPython OLED Display Library - DIYables_MicroPython_OLED
This MicroPython library is designed for any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit... to work with the OLED Display. It is created by DIYables to work with DIYables OLED Display, but also work with other brand OLED Display. Please consider purchasing [OLED Display from DIYables](https://amazon.com/dp/B0D91MYBR3) to support our work.



Product Link
----------------------------
* [OLED 128x64](https://diyables.io/products/oled-128x64)
* [OLED 128x32](https://diyables.io/products/oled-128x32)


Features
----------------------------
* Works with any hardware plaform that supports MicroPython such as Raspberry Pi Pico, ESP32, Micro:bit...
* Various functions and examples code
* Support degree character: °

Available Examples
----------------------------
* print_text.py
* draw_image.py
* draw_shapes.py
* temperature_center.py



Tutorials
----------------------------
* [Arduino MicroPython - OLED 128x64](https://newbiely.com/tutorials/arduino-micropython/arduino-micropython-oled-128x64)
* [Arduino MicroPython - OLED 128x32](https://newbiely.com/tutorials/arduino-micropython/arduino-micropython-oled-128x32)
* [ESP32 MicroPython - OLED 128x64](https://newbiely.com/tutorials/esp32-micropython/esp32-micropython-oled-128x64)
* [ESP32 MicroPython - OLED 128x32](https://newbiely.com/tutorials/esp32-micropython/esp32-micropython-oled-128x32)
* [Raspberry Pi Pico - OLED 128x64](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-oled-128x64)
* [Raspberry Pi Pico - OLED 128x32](https://newbiely.com/tutorials/raspberry-pico/raspberry-pi-pico-oled-128x32)




References
----------------------------
* [MicroPython OLED Library](https://newbiely.com/tutorials/micropython/micropython-oled-library)
